-
    type: content_type
    mode: update
    match:
        field: content_type_identifier
        value: folder
    metadata:
        identifier: folder
        mainTranslation: eng-GB
        modifierId: 14
        modificationDate: '2002-06-18T09:21:38+00:00'
        remoteId: a3d405b81be900468eb153d774f4f0d2
        urlAliasSchema: ''
        nameSchema: '<short_name|name>'
        container: true
        defaultAlwaysAvailable: true
        defaultSortField: 1
        defaultSortOrder: 1
        translations:
            eng-GB:
                name: Folder
                description: null
    fields:
        -
            identifier: name
            type: ezstring
            position: 0
            translations:
                eng-GB:
                    name: Name
                    description: ''
            required: true
            searchable: true
            infoCollector: false
            translatable: true
            category: content
            defaultValue: Folder
            fieldSettings: {  }
            validatorConfiguration:
                StringLengthValidator:
                    maxStringLength: 255
                    minStringLength: null
        -
            identifier: relations
            type: ezobjectrelationlist
            position: 1
            translations:
                eng-GB:
                    name: Relations
                    description: ''
            required: false
            searchable: true
            infoCollector: false
            translatable: true
            category: content
            defaultValue:
                destinationContentIds: {  }
            fieldSettings:
                selectionMethod: 0
                selectionDefaultLocation: null
                selectionContentTypes:
                    - folder
                rootDefaultLocation: false
            validatorConfiguration:
                RelationListValueValidator:
                    selectionLimit: 0
        -
            identifier: short_name
            type: ezstring
            position: 2
            translations:
                eng-GB:
                    name: 'Short name'
                    description: ''
            required: false
            searchable: true
            infoCollector: false
            translatable: true
            category: content
            defaultValue: null
            fieldSettings: {  }
            validatorConfiguration:
                StringLengthValidator:
                    maxStringLength: 100
                    minStringLength: null
        -
            identifier: short_description
            type: ezrichtext
            position: 3
            translations:
                eng-GB:
                    name: 'Short description'
                    description: ''
            required: false
            searchable: true
            infoCollector: false
            translatable: true
            category: content
            defaultValue:
                xml: |
                    <?xml version="1.0" encoding="UTF-8"?>
                    <section xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" version="5.0-variant ezpublish-1.0"/>
            fieldSettings: {  }
            validatorConfiguration: {  }
        -
            identifier: description
            type: ezrichtext
            position: 4
            translations:
                eng-GB:
                    name: Description
                    description: ''
            required: false
            searchable: true
            infoCollector: false
            translatable: true
            category: content
            defaultValue:
                xml: |
                    <?xml version="1.0" encoding="UTF-8"?>
                    <section xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" version="5.0-variant ezpublish-1.0"/>
            fieldSettings: {  }
            validatorConfiguration: {  }
-
    type: section
    mode: create
    metadata:
        identifier: admin_only
        name: 'Admin Only'
    references:
        -
            name: ref__section__12__section_id
            type: section_id
-
    type: content
    mode: create
    metadata:
        contentType: folder
        mainTranslation: eng-GB
        creatorId: 14
        modificationDate: '2024-06-19T15:21:22+00:00'
        publicationDate: '2024-06-19T15:21:22+00:00'
        remoteId: 8c59528552d0bd6b39b04384004953bf
        alwaysAvailable: true
        section:
            id: 12
            identifier: admin_only
    location:
        parentLocationId: 42
        parentLocationRemoteId: 581da01017b80b1afb1e5e2a3081c724
        locationRemoteId: 09982c6df432325e0f740ea5039ca687
        hidden: false
        sortField: 1
        sortOrder: 1
        priority: 0
    fields:
        -
            fieldDefIdentifier: name
            languageCode: eng-GB
            value: 'Folder A - Admin Section'
        -
            fieldDefIdentifier: relations
            languageCode: eng-GB
            value:
                destinationContentIds: {  }
        -
            fieldDefIdentifier: short_name
            languageCode: eng-GB
            value: null
        -
            fieldDefIdentifier: short_description
            languageCode: eng-GB
            value:
                xml: |
                    <?xml version="1.0" encoding="UTF-8"?>
                    <section xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" version="5.0-variant ezpublish-1.0"/>
        -
            fieldDefIdentifier: description
            languageCode: eng-GB
            value:
                xml: |
                    <?xml version="1.0" encoding="UTF-8"?>
                    <section xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" version="5.0-variant ezpublish-1.0"/>
    references:
        -
            name: 'ref__content__folder__folder a - admin section'
            type: content_id
        -
            name: 'ref_location__folder__folder a - admin section'
            type: location_id
        -
            name: 'ref_path__folder__folder a - admin section'
            type: path
-
    type: content
    mode: create
    metadata:
        contentType: folder
        mainTranslation: eng-GB
        creatorId: 14
        modificationDate: '2024-06-19T15:25:47+00:00'
        publicationDate: '2024-06-19T15:21:58+00:00'
        remoteId: 331f5c36550cdb161f5281a4e3da5603
        alwaysAvailable: true
        section:
            id: 1
            identifier: standard
    location:
        parentLocationId: 42
        parentLocationRemoteId: 581da01017b80b1afb1e5e2a3081c724
        locationRemoteId: 63ef34564ce774d1df4246255c348e5c
        hidden: false
        sortField: 1
        sortOrder: 1
        priority: 0
    fields:
        -
            fieldDefIdentifier: name
            languageCode: eng-GB
            value: 'Folder B'
        -
            fieldDefIdentifier: relations
            languageCode: eng-GB
            value:
                destinationContentIds:
                    - 70
        -
            fieldDefIdentifier: short_name
            languageCode: eng-GB
            value: null
        -
            fieldDefIdentifier: short_description
            languageCode: eng-GB
            value:
                xml: |
                    <?xml version="1.0" encoding="UTF-8"?>
                    <section xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" version="5.0-variant ezpublish-1.0"/>
        -
            fieldDefIdentifier: description
            languageCode: eng-GB
            value:
                xml: |
                    <?xml version="1.0" encoding="UTF-8"?>
                    <section xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" version="5.0-variant ezpublish-1.0"/>
    references:
        -
            name: 'ref__content__folder__folder b'
            type: content_id
        -
            name: 'ref_location__folder__folder b'
            type: location_id
        -
            name: 'ref_path__folder__folder b'
            type: path
-
    type: user
    mode: create
    metadata:
        login: test.editor
        email: admin@link.invalid
        password: Publish2024!
        enabled: true
        mainLanguage: eng-GB
        contentType: user
    groups:
        - 3c160cca19fb135f83bd02d911f04db2
    fields:
        -
            fieldDefIdentifier: first_name
            languageCode: eng-GB
            value: test.editor
        -
            fieldDefIdentifier: last_name
            languageCode: eng-GB
            value: test.editor
        -
            fieldDefIdentifier: signature
            languageCode: eng-GB
            value: null
        -
            fieldDefIdentifier: image
            languageCode: eng-GB
            value: null
    references:
        -
            name: ref__user__72__user_id
            type: user_id
-
    type: user_group
    mode: update
    metadata:
        alwaysAvailable: true
        mainLanguage: eng-GB
        modificationDate: '2002-10-06T16:13:14+00:00'
        ownerId: 14
        parentGroupId: 4
        remoteId: 3c160cca19fb135f83bd02d911f04db2
        sectionId: 2
    match:
        field: id
        value: 13
    fields:
        -
            fieldDefIdentifier: name
            languageCode: eng-GB
            value: Editors
        -
            fieldDefIdentifier: description
            languageCode: eng-GB
            value: null
    references:
        -
            name: ref__user_group__user_group__editors
            type: user_group_id
    actions:
        -
            action: unassign_role_user_group
            id: 50
        -   
            action: assign_user_group_to_role
            identifier: Editor
            limitation:
                type: Section
                values:
                    - 1
